package org.jeecg.modules.projectManagement.service;

import org.jeecg.modules.projectManagement.entity.FdProjectQuotationTemplateItem;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 项目报价模板对照明细
 * @author： gurui
 * @date：   2019-05-20
 * @version： V1.0
 */
public interface IFdProjectQuotationTemplateItemService extends IService<FdProjectQuotationTemplateItem> {

    void saveProjectQuotationTemplateItem(FdProjectQuotationTemplateItem fdProjectQuotationTemplateItem);

    void updateProjectQuotationTemplateItem(FdProjectQuotationTemplateItem fdProjectQuotationTemplateItem);

    void deleteProjectQuotationTemplateItem(String ids);

    List<Map<String,Object>> getTemplateItemMerge();

    List<FdProjectQuotationTemplateItem> getListTemplateItem();

    List<FdProjectQuotationTemplateItem> getByQuotationId1(String quotationId);

    List<FdProjectQuotationTemplateItem> listOrderByCode(String quotationId,String quotationTemplateId);

    List<FdProjectQuotationTemplateItem> getItemAndTemp(String quotationId);

    List<FdProjectQuotationTemplateItem> getBioTempItemsBycontractId(String contractId);
}
